
NAME
       cpan2tgz - create Slackware GNU/Linux packages from CPAN Perl module
       distributions

SYNOPSIS
       cpan2tgz [option(s)] [module(s)]

       options: [--no-recursive] [--ignoreinstalled] [--no-install] [--pkgdir] [--build-tag] [--build-number]

       cpan2tgz --upgrade-all

DESCRIPTION
       cpan2tgz is a tool to create Slackware GNU/Linux packages from CPAN
       Perl module distributions.  cpan2tgz was inspired by cpan2rpm.

OPTIONS
       --no-recursive
           This will NOT build required module(s).  Otherwise dependencies are
           built and installed as cpan2tgz traverses the dependency tree of
           the specified Perl module(s).  This can be dangerous.  It might be
           best to install one at a time.

       --ignoreinstalled
           This option specifies to build packages for required modules even
           if the module is found to be present and installed on the system.

       --no-install
           Do NOT install the generated package(s).

       --pkgdir
           This option specifies the final location to place the generated
           package(s).  Defaults to /usr/src.

       module(s)
           A series of Perl modules to install, ie Data::Dumper

       --upgrade-all
           Create packages and install for all outdated modules on the system.
           Do not pass in module names on the command line.

       --build-tag
           Set the package's build tag, foo-0.1-arch-1buildtag.tgz.

       --build-number
           Set the package's build number, foo-0.1-arch-build_number.tgz.

NOTES
       cpan2tgz uses the CPAN Perl module.  A working CPAN/Config.pm is
       assumed.  If CPAN has not been initialized prior to running cpan2tgz,
       it will be initialized on the first run.

AUTHOR
       Jason Woodward <woodwardj@jaos.org>

       http://software.jaos.org/

SEE ALSO
       installpkg(8), makepkg(8), removepkg(8), pkgtool(8), upgradepkg(8),

